<?php
$url = 'http://rey.rash.jp/junk/tv_rss.cgi?area=013&sdate='.date('Ymd').'&shour='.date('H').'&lhour=1';
//	Powered by http://rey.rash.jp/junk/
//	area=の数字は放送地域：http://rey.rash.jp/junk/?page_id=50
/*
001 北海道
002 青森
003 岩手
004 宮城
005 秋田
006 山形
007 福島
008 茨城
009 栃木
010 群馬
011 埼玉
012 千葉
013 東京
014 神奈川
015 新潟
016 富山
017 石川
018 福井
019 山梨
020 長野
021 岐阜
022 静岡
023 愛知
024 三重
025 滋賀
026 京都
027 大阪
028 兵庫
029 奈良
030 和歌山
031 鳥取
032 島根
033 岡山
034 広島
035 山口
036 徳島
037 香川
038 愛媛
039 高知
040 福岡
041 佐賀
042 長崎
043 熊本
044 大分
045 宮崎
046 鹿児島
047 沖縄
*/
require_once '../rss/magpierss/rss_fetch.inc';
$rss = fetch_rss($url);
if (index_BOX_BORDER_COLOR <> '') {
	$side_border_color = index_BOX_BORDER_COLOR;
} else {
	$side_border_color = 'Royalblue';
}
?>
<table class="index_side_table" style="border-color: <?= $side_border_color ?>; border-width: <?= index_BOX_BORDER_WIDTH ?>; background-color: Royalblue;">
<tr><th><a href="http://www.tvguide.or.jp/TF0701LS.php" target="_blank">テレビ番組</a></th></tr>
<tr><td class="index_rss_article" style="border-color: Royalblue;">
<ul style="margin:0 0 0 17px; padding:0; list-style:none; list-style-image:url('../rss/icon/044.gif');">
<?
$cnt = 0;
$cntmax = 100;
foreach ($rss->items as $item) {
	$title = explode(']', $item['title']);
	$sch_title = str_replace('[','', $title[0]);
?>
	<li style="margin: 2px 0 2px 0;"><a href="http://www.google.com/search?q=<?= urlencode($sch_title) ?>" target="_blank"><?= $item['title'] ?></a>
	<span style="color: #907070;"><?= $item['description'] ?></span>
	</li>
<?php
	if (++$cnt >= $cntmax) break;
}
?>
</ul>
</td></tr></table>
